2011g available

Bug #770622 reported by Gary Lasker on 2011-04-26
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
tzdata (Debian)
Fix Released
Unknown
tzdata (Ubuntu)
High
Gary Lasker
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
High
Gary Lasker
Oneiric
Undecided
Unassigned

Bug Description

Binary package hint: tzdata

There is a new tzdata version 2011g:

   - Egypt abandons DST in 2011 (and forward)

Gary Lasker (gary-lasker) wrote :
Changed in tzdata (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Gary Lasker (gary-lasker)
Gary Lasker (gary-lasker) wrote :

Test case for Egypt abandoning DST, timezone is "Africa/Cairo":

Incorrect result with 2011e showing active DST transitions for Egypt in 2011:

$ zdump -v Africa/Cairo | grep 2011
Africa/Cairo Thu Apr 28 21:59:59 2011 UTC = Thu Apr 28 23:59:59 2011 EET isdst=0 gmtoff=7200
Africa/Cairo Thu Apr 28 22:00:00 2011 UTC = Fri Apr 29 01:00:00 2011 EEST isdst=1 gmtoff=10800
Africa/Cairo Thu Sep 29 20:59:59 2011 UTC = Thu Sep 29 23:59:59 2011 EEST isdst=1 gmtoff=10800
Africa/Cairo Thu Sep 29 21:00:00 2011 UTC = Thu Sep 29 23:00:00 2011 EET isdst=0 gmtoff=7200

Correct result with 2011g showing DST has been removed for Egypt in 2011:

$ zdump -v Africa/Cairo | grep 2011

(no output)

It is important to upload this to Natty before final release, as according to the old DST transition rules, the transition would be in a couple of days.

Also that would need to be backported to other supported Ubuntu releases as soon as possible.

Changed in tzdata (Ubuntu):
status: Triaged → Confirmed

Debian just uploaded 2011g, please sync

Martin Pitt (pitti) wrote :

Ah, I synced 2011f last night, before 2011g was uploaded to sid. This will now need to become a 0-day SRU for Natty as well.

Martin Pitt (pitti) wrote :

Karmic goes out of support this week, so I don't think we still need to bother fixing that.

Changed in tzdata (Ubuntu Karmic):
status: New → Won't Fix
Gary Lasker (gary-lasker) wrote :

I've prepared the updates for Dapper, Hardy, Lucid, Maverick and Natty and uploaded them to the following locations:

  http://people.canonical.com/~tremolux/tzdata_2011g_dapper/
  http://people.canonical.com/~tremolux/tzdata_2011g_hardy/
  http://people.canonical.com/~tremolux/tzdata_2011g_lucid/
  http://people.canonical.com/~tremolux/tzdata_2011g_maverick/
  http://people.canonical.com/~tremolux/tzdata_2011g_natty/

I guess we will want to sync 2011g-1 from Debian for Oneiric when we can.

Thanks Martin!

Changed in tzdata (Ubuntu Natty):
status: Confirmed → In Progress

Accepted tzdata into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Natty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Maverick):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted tzdata into tzdata-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Dapper):
status: New → Fix Committed

On Tue, Apr 26, 2011 at 08:21:52PM -0000, Martin Pitt wrote:
> Accepted tzdata into natty-proposed, the package will build now and be
> available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
---end quoted text---

Does that mean that it won't be on Natty release CDs ?

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Gary Lasker (gary-lasker) wrote :

I have verified the updates in -proposed per the supplied test case for all of the following:

  dapper
  hardy
  lucid
  maverick
  natty

Many thanks!

tags: added: verification-done
removed: verification-needed
Gary Lasker (gary-lasker) wrote :

Hello Ahmed, and thank you for your comments in this bug. Per your question in comment #17, the answer unfortunately is that the update will *not* be included on the Natty CDs. This update arrived just too late to be able to include it there. However, the update has been prepared and is in natty-proposed now where I have tested/verified it. I expect that it will move very quickly now to natty-updates so it will be available via update-manager to Natty users on release day.

Thank you again for your help! It's very much appreciated.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011g~repack-0ubuntu0.8.04

---------------
tzdata (2011g~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2011g: (LP: #770622)
    - Egypt abandons DST in 2011 (and forward)
      (thanks to Alexander Krivenyshev)
 -- Gary Lasker <email address hidden> Tue, 26 Apr 2011 11:02:34 -0400

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

langpack-locales copied to dapper-updates.

Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011g-0ubuntu0.10.04

---------------
tzdata (2011g-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2011g: (LP: #770622)
    - Egypt abandons DST in 2011 (and forward)
      (thanks to Alexander Krivenyshev)
 -- Gary Lasker <email address hidden> Tue, 26 Apr 2011 10:40:01 -0400

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011g-0ubuntu0.10.10

---------------
tzdata (2011g-0ubuntu0.10.10) maverick-proposed; urgency=low

  * New upstream release 2011g: (LP: #770622)
    - Egypt abandons DST in 2011 (and forward)
      (thanks to Alexander Krivenyshev)
 -- Gary Lasker <email address hidden> Mon, 25 Apr 2011 21:42:07 -0400

Changed in tzdata (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011g-0ubuntu0.11.04

---------------
tzdata (2011g-0ubuntu0.11.04) natty-proposed; urgency=low

  * New upstream release 2011g: (LP: #770622)
    - Egypt abandons DST in 2011 (and forward)
      (thanks to Alexander Krivenyshev)
 -- Gary Lasker <email address hidden> Tue, 26 Apr 2011 09:46:59 -0400

Changed in tzdata (Ubuntu Natty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

tzdata will be autosynced from sid once we open oneiric, so we don't need to track this specially. Therefore I'm closing the oneiric task even though it is not really fixed there just yet.

Changed in tzdata (Ubuntu Oneiric):
status: New → Fix Released
Changed in tzdata (Debian):
status: Unknown → Fix Released
psl (slansky) wrote :

I think this patch was not the best one. Egypt was moved to UTC timezone zone. See bug report #847761
https://bugs.launchpad.net/ubuntu/+source/tzdata/+bug/847761

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.